Holger's Java API

## com.antelmann.sql
Enum DBDocumentStore.DBColumn

    java.lang.Object
      java.lang.Enum<DBDocumentStore.DBColumn>
          com.antelmann.sql.DBDocumentStore.DBColumn

All Implemented Interfaces:
  Serializable, Comparable<DBDocumentStore.DBColumn>

Enclosing class:
  DBDocumentStore<T extends DBDocument>

    public static enum DBDocumentStore.DBColumn

extends Enum<DBDocumentStore.DBColumn>

Enum Constant Summary
`FILE_NAME`
`IMAGE`
`STREAM`

Method Summary
`static DBDocumentStore.DBColumn` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DBDocumentStore.DBColumn[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILE_NAME

    public static final DBDocumentStore.DBColumn FILE_NAME

### STREAM

    public static final DBDocumentStore.DBColumn STREAM

### IMAGE

    public static final DBDocumentStore.DBColumn IMAGE

Method Detail

### values

    public static DBDocumentStore.DBColumn[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DBDocumentStore.DBColumn c : DBDocumentStore.DBColumn.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DBDocumentStore.DBColumn valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads